[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| ProblemSpec [Machine Learning] |

problem specification class for the random forest. More...

`#include <vigra/random_forest/rf_common.hxx>`

List of all members.

## Public Types

typedef LabelType | Label_t
| problem class

## Public Member Functions

template<class W_Iter>
ProblemSpec & | class_weights (W_Iter begin, W_Iter end)
| supply with class weights -
template<class C_Iter>
ProblemSpec & | classes_ (C_Iter begin, C_Iter end)
| supply with class labels -
| ProblemSpec ()
| set default values (-> values not set)

## Detailed Description

### template<class LabelType = double>
class vigra::ProblemSpec< LabelType >

problem specification class for the random forest.

This class contains all the problem specific parameters the random forest needs for learning. Specification of an instance of this class is optional as all necessary fields will be computed prior to learning if not specified.

if needed usage is similar to that of RandomForestOptions

## Member Function Documentation

ProblemSpec& class_weights | ( | W_Iter | begin,
|  | W_Iter | end |
| ) |  |  |

supply with class weights -

this is the only case where you would really have to create a ProblemSpec object.

ProblemSpec& classes_ | ( | C_Iter | begin,
|  | C_Iter | end |
| ) |  |  |

supply with class labels -

the preprocessor will not calculate the labels needed in this case.

The documentation for this class was generated from the following file:

- vigra/random_forest/rf_common.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.7.1 (3 Dec 2010)